/* ------------------------ MOTROT.H -----------------------------------
; function prototypes for random number generator
;
; 32-bit mode version for 80x86 and compatible microprocessors.
; Works with Window 95 and later, and possibly with other 32-bit systems.
;
; The code combines the RANROT type W and the Mother-of-All generators.
; This gives the best possible randomness for the most demanding
; applications. The resolution is 63 bits for XRandom.
;
; XRandomInit must be called before the first call to any of the random
; functions.
;
; XRandom returns a floating point number between 0 and 1.
; XIRandom returns an integer in the interval set by XSetInterval
----------------------------------------------------------------------- */

extern"C" void _cdecl XRandomInit (int seed);
extern"C" void _cdecl XSetInterval (int min, int max);
extern"C" double _cdecl XRandom (void);
extern"C" int _cdecl XIRandom (void);

