/* -------------------------- RANROT16.H -------------------------------
; Function prototypes for random number generator
;
; 16-bit mode version for 80386/87, 80486, Pentium and compatible
; microprocessors including math processor.
; Works with DOS and Window 3.x.
;
; The code uses the RANROT type W algorithm without self-test.
; The resolution is 63 bits for WRandom and 32 bits for WBRandom.
;
; WRandomInit must be called before the first call to any of the random
; functions.
; WRandom returns a floating point number between 0 and 1.
; WBRandom returns an integer between 0 and 0xFFFFFFFF
;
;----------------------------------------------------------------------- */

extern"C" void _cdecl WRandomInit (long seed);
extern"C" double _cdecl WRandom (void);
extern"C" unsigned long _cdecl WBRandom (void);

