/* -------------------------- RANROT32.H -------------------------------
; Function prototypes for random number generator
;
; 32-bit mode version for 80x86 and compatible microprocessors.
; Works with Window 95 and later, and possibly with other 32-bit systems.
;
; The code uses the RANROT type W algorithm with self-test.
; The resolution is 63 bits for WRandom and 32 bits for WBRandom.
;
; WRandomInit must be called before the first call to any of the random
; functions.
; WRandom returns a floating point number between 0 and 1.
; WBRandom returns an integer between 0 and 0xFFFFFFFF
; WIRandom returns an integer in the interval set by WSetInterval
;
;---------------------------------------------------------------------- */

extern"C" void _cdecl WRandomInit (int seed);
extern"C" void _cdecl WSetInterval (int min, int max);
extern"C" double _cdecl WRandom (void);
extern"C" unsigned _cdecl WBRandom (void);
extern"C" int _cdecl WIRandom (void);

